# Poco::Data::ODBC

# template < typename H, SQLSMALLINT handleType >

# class Error

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/Error.h

## Description

Class encapsulating ODBC diagnostic record collection. Collection is generated during construction. Class provides access and string generation for the collection as well as individual diagnostic records.

## Member Summary

Member Functions: count, diagnostics, toString

## Constructors

### Error

explicit Error(
const H & handle
);

Creates the Error.

## Destructor

### ~Error

~Error();

Destroys the Error.

## Member Functions

### count

int count() const;

Returns the count of diagnostic records.

### diagnostics

const Diagnostics < H, handleType > & diagnostics() const;

Returns the associated diagnostics.

### toString

std::string & toString(
int index,
std::string & str
) const;

Generates the string for the diagnostic record.

### toString

std::string toString() const;

Generates the string for the diagnostic record collection.